Package com.jangular.backend.config

# Class DatabaseInitializer

java.lang.Object
com.jangular.backend.config.DatabaseInitializer

@Configuration public class DatabaseInitializer extends Object

## Constructor Summary

Constructors
Constructor
Description
`DatabaseInitializer()`

## Method Summary

Modifier and Type
Method
Description
`org.springframework.boot.CommandLineRunner`
`initRoles()`
Initialize default roles when the application starts
`org.springframework.boot.CommandLineRunner`
`runSchemaScripts(DataSource dataSource)`
Runs schema and data SQL scripts if needed Note: Use this method if you prefer SQL scripts over JPA/Hibernate schema generation

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DatabaseInitializer

public DatabaseInitializer()

## Method Details

### initRoles

@Bean public org.springframework.boot.CommandLineRunner initRoles()
Initialize default roles when the application starts

### runSchemaScripts

@Bean public org.springframework.boot.CommandLineRunner runSchemaScripts(DataSource dataSource)
Runs schema and data SQL scripts if needed Note: Use this method if you prefer SQL scripts over JPA/Hibernate schema generation